#!/bin/sh

RESULT=1
VERSION=$1

echo "Upgrading platform version $VERSION"

if [ ! -d "/var/cbms/log" ];
then
  cp /var/cbms/upgrade/rc.local /etc/rc.local
  chmod +rwx /etc/rc.local
  cp /var/cbms/upgrade/svm.sh /etc/init.d/svm
  chmod +rwx /etc/init.d/svm
  update-rc.d svm defaults
  cp /var/cbms/upgrade/expandfs.sh /etc/init.d/expandfs
  chmod +rwx /etc/init.d/expandfs
  update-rc.d expandfs defaults
  mv /var/cbms/upgrade/log /var/cbms/log
  chmod +rwx /var/cbms/log/log.sh
fi

RESULT=0


exit $RESULT
