#!/bin/sh

MAX_FILES=10
MAX_SIZE=100000
PREFIX='/var/cbms/log/svm'
FILE="$PREFIX".log

if [ -f $FILE ]
then
  SIZE=$(wc -c <"$FILE")
  if [ $SIZE -gt $MAX_SIZE ]
  then 
    while [ $MAX_FILES -gt 0 ]
    do
      FILE="$PREFIX"."$MAX_FILES".gz
      if [ -f $FILE ];
      then
        if [ $MAX_FILES -eq 10 ]
        then
          rm -rf $FILE 
        else
          b=`expr $MAX_FILES + 1`
          FROM=$FILE 
          TO="$PREFIX"."$b".gz
          mv $FROM $TO  
        fi
      fi
      MAX_FILES=`expr $MAX_FILES - 1`
    done
    FROM="$PREFIX".log
    TO="$PREFIX".1
    cp $FROM $TO
    cat /dev/null > $FROM
    gzip -f -9 $TO  
  fi
fi


